<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>rlRfSigImgPowerCqData_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">rlRfSigImgPowerCqData_t Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>RX signal and image band energy statistics.  
 <a href="structrl_rf_sig_img_power_cq_data__t.html#details">More...</a></p>

<p><code>#include &lt;control/mmwavelink/include/rl_monitoring.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a2bb916720b5f333c19ade50763d0141a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2bb916720b5f333c19ade50763d0141a"></a>
rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_sig_img_power_cq_data__t.html#a2bb916720b5f333c19ade50763d0141a">numSlices</a></td></tr>
<tr class="memdesc:a2bb916720b5f333c19ade50763d0141a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Number of (primary + secondary) slices to monitor Valid range: 1 to 127. <br /></td></tr>
<tr class="separator:a2bb916720b5f333c19ade50763d0141a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5ad0f0f037fdbd0502b570925edcd73"><td class="memItemLeft" align="right" valign="top">rlUInt16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structrl_rf_sig_img_power_cq_data__t.html#af5ad0f0f037fdbd0502b570925edcd73">sigImgPowerCqVal</a> [RL_NUM_MON_SLICES_MAX]</td></tr>
<tr class="memdesc:af5ad0f0f037fdbd0502b570925edcd73"><td class="mdescLeft">&#160;</td><td class="mdescRight">The signal band and image band are separated using a two-channel filter bank and the ADC sampling time duration is monitored in terms of primary and secondary time slices as configured using rlRfRxSigImgMonConfig. If Number of Slices configured in rlRfRxSigImgMonConfig is N, then number of Primary slices = N+1/2 and number of secondary slices = N-1/2 <br />
 For each of the two bands (signal and image), for each time slice, the input-referred average power in the slice in negative dBm is recorded as an 8-bit unsigned number, with 1 LSB = -0.5 dBm. CQ data is stored in 16bit format as follows: Pi[1] Ps[1], Si[1] Ss[1], Pi[2] Ps[2], Si[2] Ss[2]...... Pi[63] Ps[63], Si[63] Ss[63], Pi[64] Ps[64] Where, Pi = Primary Slice Image Band Power, 1LSB = -0.5dBm Ps = Primary Slice Signal Band Power, 1LSB = -0.5dBm Si = Secondary Slice Image Band Power, 1LSB = -0.5dBm Ss = Secondary Slice Signal Band Power, 1LSB = -0.5dBm.  <a href="#af5ad0f0f037fdbd0502b570925edcd73">More...</a><br /></td></tr>
<tr class="separator:af5ad0f0f037fdbd0502b570925edcd73"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>RX signal and image band energy statistics. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="af5ad0f0f037fdbd0502b570925edcd73"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">rlUInt16_t rlRfSigImgPowerCqData_t::sigImgPowerCqVal[RL_NUM_MON_SLICES_MAX]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The signal band and image band are separated using a two-channel filter bank and the ADC sampling time duration is monitored in terms of primary and secondary time slices as configured using rlRfRxSigImgMonConfig. If Number of Slices configured in rlRfRxSigImgMonConfig is N, then number of Primary slices = N+1/2 and number of secondary slices = N-1/2 <br />
 For each of the two bands (signal and image), for each time slice, the input-referred average power in the slice in negative dBm is recorded as an 8-bit unsigned number, with 1 LSB = -0.5 dBm. CQ data is stored in 16bit format as follows: Pi[1] Ps[1], Si[1] Ss[1], Pi[2] Ps[2], Si[2] Ss[2]...... Pi[63] Ps[63], Si[63] Ss[63], Pi[64] Ps[64] Where, Pi = Primary Slice Image Band Power, 1LSB = -0.5dBm Ps = Primary Slice Signal Band Power, 1LSB = -0.5dBm Si = Secondary Slice Image Band Power, 1LSB = -0.5dBm Ss = Secondary Slice Signal Band Power, 1LSB = -0.5dBm. </p>
<p>This data is stored in CQ1 section of CQ RAM. If multiple chirps are defined, then this data is concatenated and stored in CQ RAM in ping pong manner </p><pre class="fragment">      Note: CQ0 section in CQ RAM will contain invalid data and the user should
      to ignore this.</pre> 
</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>control/mmwavelink/include/rl_monitoring.h</li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
